# Update a Scheduled Report Export

Make changes to an existing scheduled job.

Endpoint: PUT /scheduled_jobs/insights_report_exports/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Request fields (application/json):

  - `insights_report_export` (object)

  - `insights_report_export.title` (string)
    Give a name for the scheduled report export.

  - `insights_report_export.description` (string)
    Give a description for the scheduled report export.

  - `insights_report_export.external_report_object_identifier` (string)
    Enter the unique identifier of the classic Insights report you want to export on a schedule. Each report has one. Use the Insights Report endpoint to get the identifier for the report you want to export.

  - `insights_report_export.recurrence` (object)
    A schedule for when you would like the report export to repeat, consisting of the cadence and start_time that you define.

  - `insights_report_export.recurrence.cadence` (string, required)
    Define how often a scheduled export runs. Valid values: hourly, daily.

  - `insights_report_export.recurrence.start_time` (string)
    Define the date and time a schedule begins in ISO 8601 format. Daily scheduled exports will recur at this time everyday. This parameter is required for all non-hourly schedules. The datetime must be in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format.

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


